## MateMixerSwitchOption MateMixerSwitchOption |

## Functions

const gchar * | mate_mixer_switch_option_get_name ()
const gchar * | mate_mixer_switch_option_get_label ()
const gchar * | mate_mixer_switch_option_get_icon ()

## Properties

gchar * | icon | Read / Write / Construct Only
gchar * | label | Read / Write / Construct Only
gchar * | name | Read / Write / Construct Only

## Types and Values

| MateMixerSwitchOption
struct | MateMixerSwitchOptionClass

## Object Hierarchy

        GObject
        ╰── MateMixerSwitchOption

## Includes

    #include <libmatemixer/matemixer.h>

## Description

## Functions

### mate_mixer_switch_option_get_name ()

    const gchar *
    mate_mixer_switch_option_get_name (MateMixerSwitchOption *option);

Gets the name of the switch option. The name serves as a unique identifier and in most cases it is not in a user-readable form.

The returned name is guaranteed to be unique across all the switch options of a particular MateMixerSwitch and may be used to get the MateMixerSwitchOption using `mate_mixer_switch_get_option()`.

#### Parameters

option | a MateMixerSwitchOption |

#### Returns

the name of the switch option.

### mate_mixer_switch_option_get_label ()

    const gchar *
    mate_mixer_switch_option_get_label (MateMixerSwitchOption *option);

Gets the label of the switch option. This is a potentially translated string that should be presented to users in the user interface.

#### Parameters

option | a MateMixerSwitchOption |

#### Returns

the label of the switch option.

### mate_mixer_switch_option_get_icon ()

    const gchar *
    mate_mixer_switch_option_get_icon (MateMixerSwitchOption *option);

Gets the XDG icon name of the switch option.

#### Parameters

option | a MateMixerSwitchOption |

#### Returns

the icon name or `NULL`.

## Types and Values

### MateMixerSwitchOption

    typedef struct _MateMixerSwitchOption MateMixerSwitchOption;

The MateMixerSwitchOption structure contains only private data and should only be accessed using the provided API.

### struct MateMixerSwitchOptionClass

    struct MateMixerSwitchOptionClass {
        GObjectClass parent_class;
    };

The class structure for MateMixerSwitchOption.

#### Members

## Property Details

### The `“icon”` property

      “icon”                     gchar *

The XDG icon name of the switch option.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“label”` property

      “label”                    gchar *

The label of the switch option. This is a potentially translated string that should be presented to users in the user interface.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     gchar *

The name of the switch option. The name serves as a unique identifier and in most cases it is not in a user-readable form.

Flags: Read / Write / Construct Only

Default value: NULL